import { ConstraintConfig } from "../../lib/types";
import { RigidBody } from "./rigid-body";
import { World } from "./world";
export declare class Constraint {
    private world;
    private physicsConstraint;
    private type;
    constructor(constraintConfig: ConstraintConfig, bodyA: RigidBody, bodyB: RigidBody | undefined, world: World);
    private initSingleBodyConstraint;
    private initTwoBodyConstraint;
    applyDynamicConfig(constraintConfig: ConstraintConfig): void;
    destroy(): void;
}
